Bug 1461297 - (CVE-2017-2810) CVE-2017-2810 python-tablib: Databook loading functionality allows command execution
CVE-2017-2810 python-tablib: Databook loading functionality allows command ex...
Status: CLOSED UPSTREAM
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170613,reported=2...
: Security
Depends On: 1461298 1461299 1463481
Blocks: 1461304
  Show dependency treegraph
 
Reported: 2017-06-14 03:23 EDT by Andrej Nemec
Modified: 2017-09-12 17:58 EDT (History)
23 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
It was found that loading a yaml format Databook from an untrusted source could lead to arbitrary code execution in python-tablib as the safe_load method was not used to load the content.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-12 17:58:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2017-06-14 03:23:06 EDT
An exploitable vulnerability exists in the Databook loading functionality of Tablib. A yaml loaded Databook can execute arbitrary python commands resulting in command execution. An attacker can insert python into loaded yaml to trigger this vulnerability.

External References:

https://www.talosintelligence.com/vulnerability_reports/TALOS-2017-0307
Comment 1 Andrej Nemec 2017-06-14 03:24:10 EDT
Created python-tablib tracking bugs for this issue:

Affects: epel-6 [bug 1461298]
Affects: fedora-all [bug 1461299]
Comment 3 Garth Mollett 2017-06-21 00:56:30 EDT
Statement:

Red Hat Product Security has rated this issue as having Low security impact in Red Hat OpenStack Platform. While the code is present in the python-tablib package, it is not reachable in any supported configuration. There is currently no plan to address this flaw in any supported version of Red Hat OpenStack platform.

Note You need to log in before you can comment on or make changes to this bug.